> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get Correlation Data

GET https://ebs.feedonomics.com/catalog/rest.php/db/{db_id}/{correlation_id}

Retrieves data set based on the specified correlation ID.

Reference: https://docs.feedonomics.com/developer/api-reference/rest/event-driven-sync-api-edrts/database-status-job-details/edrts-get-correlation-data

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `db_id` (integer, required) — Unique ID of the database
- `correlation_id` (string, required) — Correlation ID of the data set

## Response

### 200

OK

- `status` (string, optional, default: success) — API response status.
- `request_timestamp` (string, optional) — Timestamp of the request associated with the provided correlation id.
- `data` (GetCorrelationResponseData, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `status` (string, optional, default: fail) — API response status.
- `message` (string, optional) — Error code.
- `data` (list of BadRequestErrorDataItems, optional) — Additional error detail, if applicable.

### 403 Forbidden Error

Access Denied / Authentication Failure

- `status` (string, optional, default: fail) — API response status.
- `message` (string, optional) — Error code.
- `data` (list of AccessDeniedErrorDataItems, optional) — Additional error detail, if applicable.

### 502 Bad Gateway Error

HTTPS request is missing required headers

- `status` (string, optional) — API response status.
- `message` (string, optional) — Error code.
- `data` (MissingHeaderErrorData, optional)

### 500 Server Error

Internal Server Error

- `any`

## Types

### GetCorrelationResponseData

- `link` (list of string, optional) — URL(s) to obtain correlation request data.

### BadRequestErrorDataItems

### AccessDeniedErrorDataItems

### MissingHeaderErrorData

- `details` (string, optional) — Description of error message.
- `headers` (MissingHeaderErrorDataHeaders, optional) — Array of provided headers in the HTTP request.

### MissingHeaderErrorDataHeaders

Array of provided headers in the HTTP request.

- `cookie` (string, optional)
- `content-type` (string, optional)
- `postman-token` (string, optional)
- `host` (string, optional)
- `content-length` (string, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "request_timestamp": "string",
  "data": {
    "link": [
      "string"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```